X2Go Bug report logs - #255
Debug package for x2goclient.

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Heinrich Schuchardt <xypron.glpk@gmx.de>

Date: Fri, 28 Jun 2013 19:48:02 UTC

Severity: wishlist

Tags: pending

Found in version 4.0.1.0

Fixed in version 4.0.1.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#255; Package x2goclient. (Fri, 28 Jun 2013 19:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Heinrich Schuchardt <xypron.glpk@gmx.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 28 Jun 2013 19:48:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Heinrich Schuchardt <xypron.glpk@gmx.de>
To: submit@bugs.x2go.org
Subject: Debug package for x2goclient.
Date: Fri, 28 Jun 2013 21:40:21 +0200
Package: x2goclient
Version: 4.0.1.0
Severity: wishlist

Debugging the x2goclient requires debug symbols. These should be 
supplied as a
debian package. Please, apply the patch below.

I used the debug symbols for finding uninitialized decision variables in 
the x2goclient with valgrind.

Signed-off-by: Heinrich Schuchardt <xypron.glpk@gmx.de>
---
 debian/control |   20 ++++++++++++++++++++
 debian/rules   |    3 +++
 2 files changed, 23 insertions(+)

diff --git a/debian/control b/debian/control
index 266f13a..fd1ee74 100644
--- a/debian/control
+++ b/debian/control
@@ -49,6 +49,26 @@ Description: X2Go Client application (Qt4)
  x2goclient is a graphical client (Qt4) for the X2Go system.
  You can use it to connect to running sessions and start new sessions.

+Package: x2goclient-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: ${misc:Depends}, x2goclient (= ${binary:Version})
+Description: X2Go Client application (Qt4)
+ X2Go is a serverbased computing environment with
+    - session resuming
+    - low bandwidth support
+    - LDAP support
+    - client-side mass storage mounting support
+    - client-side printing support
+    - audio support
+    - authentication by smartcard and USB stick
+ .
+ x2goclient is a graphical client (Qt4) for the X2Go system.
+ You can use it to connect to running sessions and start new sessions
+ .
+ This package provides the debug symbols for the x2goclient application.
+
 Package: x2goplugin
 Architecture: any
 Depends:
diff --git a/debian/rules b/debian/rules
index 2bbb30a..bc53558 100755
--- a/debian/rules
+++ b/debian/rules
@@ -14,3 +14,6 @@ override_dh_auto_clean:
 	rm -Rf x2goclient_*.qm

 override_dh_auto_install:
+
+override_dh_strip:
+	dh_strip --dbg-package=x2goclient-dbg
-- 1.7.10.4


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#255; Package x2goclient. (Mon, 01 Jul 2013 00:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 01 Jul 2013 00:18:02 GMT) (full text, mbox, link).


Message #10 received at 255@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 255-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 255@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Mon, 1 Jul 2013 02:14:27 +0200 (CEST)
tag #255 pending
fixed #255 4.0.1.1
thanks

Hello,

X2Go issue #255 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=2f8cdb2

The issue will most likely be fixed in src:x2goclient (4.0.1.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 2f8cdb2dd5778cdd8104c6427c25167f7c0c3bf9
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Jul 1 02:13:33 2013 +0200

    Provide bin:package with debug symbols for X2Go Client. (Fixes: #255).

diff --git a/debian/changelog b/debian/changelog
index 0ca8369..dd7122b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -30,6 +30,7 @@ x2goclient (4.0.1.1-0~x2go1) UNRELEASED; urgency=low
       just calling free(). Required under MS Windows as documented in libssh2
       API. (Fixes: #243). (For further details see:
       http://api.libssh.org/master/group__libssh__session.html).
+  * Provide bin:package with debug symbols for X2Go Client. (Fixes: #255).
 
   [ Ezra Bühler ]
   * New upstream version (4.0.1.1):


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 01 Jul 2013 00:18:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 01 Jul 2013 00:18:02 GMT) (full text, mbox, link).


Message sent on to Heinrich Schuchardt <xypron.glpk@gmx.de>:
Bug#255. (Mon, 01 Jul 2013 00:18:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#255; Package x2goclient. (Mon, 01 Jul 2013 06:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to xypron.glpk@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 01 Jul 2013 06:48:01 GMT) (full text, mbox, link).


Message #22 received at 255@bugs.x2go.org (full text, mbox, reply):

From: xypron.glpk@gmx.de
To: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>, 255-submitter@bugs.x2go.org
Cc: 255@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: Bug#255: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Mon, 1 Jul 2013 08:31:44 +0200 (CEST)
Hello Mike

+override_dh_strip:
+       dh_strip --dbg-package=x2goclient-dbg

implies debug symbols for all packaged built.

I guess additonal parameter -p x2goclient is needed.

But this needs to be checked.

Best regards

Heinrich Schuchardt

http://www.xypron.de

Am 01.07.13 um 02:14 schrieb Mike Gabriel

> tag #255 pending
>
> fixed #255 4.0.1.1
>
> thanks
>
>
>
> Hello,
>
>
>
> X2Go issue #255 (src:x2goclient) reported by you has been
>
> fixed in X2Go Git. You can see the changelog below, and you can
>
> check the diff of the fix at:
>
>
>
>     http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=2f8cdb2
>
>
>
> The issue will most likely be fixed in src:x2goclient (4.0.1.1).
>
>
>
> light+love
>
> X2Go Git Admin (on behalf of the sender of this mail)
>
>
>
> ---
>
> commit 2f8cdb2dd5778cdd8104c6427c25167f7c0c3bf9
>
> Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
>
> Date:   Mon Jul 1 02:13:33 2013 +0200
>
>
>
>     Provide bin:package with debug symbols for X2Go Client. (Fixes: #255).
>
>
>
> diff --git a/debian/changelog b/debian/changelog
>
> index 0ca8369..dd7122b 100644
>
> --- a/debian/changelog
>
> +++ b/debian/changelog
>
> @@ -30,6 +30,7 @@ x2goclient (4.0.1.1-0~x2go1) UNRELEASED; urgency=low
>
>        just calling free(). Required under MS Windows as documented in libssh2
>
>        API. (Fixes: #243). (For further details see:
>
>        http://api.libssh.org/master/group__libssh__session.html).
>
> +  * Provide bin:package with debug symbols for X2Go Client. (Fixes: #255).
>
>
>
>    [ Ezra Bühler ]
>
>    * New upstream version (4.0.1.1):


Message sent on to Heinrich Schuchardt <xypron.glpk@gmx.de>:
Bug#255. (Mon, 01 Jul 2013 06:48:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#255; Package x2goclient. (Mon, 01 Jul 2013 23:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 01 Jul 2013 23:03:01 GMT) (full text, mbox, link).


Message #30 received at 255@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: xypron.glpk@gmx.de
Cc: 255@bugs.x2go.org
Subject: Re: Bug#255: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Tue, 02 Jul 2013 00:49:53 +0200
[Message part 1 (text/plain, inline)]
Hi Heinrich,

On Mo 01 Jul 2013 08:31:44 CEST  wrote:

> Hello Mike
>
> +override_dh_strip:
> +       dh_strip --dbg-package=x2goclient-dbg
>
> implies debug symbols for all packaged built.
>
> I guess additonal parameter -p x2goclient is needed.
>
> But this needs to be checked.

Committed:
http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=047050ec7a4dfe5326a655cbd471ae8b5d35a31b

Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#255; Package x2goclient. (Wed, 11 Sep 2013 10:18:08 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 11 Sep 2013 10:18:08 GMT) (full text, mbox, link).


Message #35 received at 255@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 255-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 255@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Wed, 11 Sep 2013 12:07:09 +0200 (CEST)
close #255
thanks

Hello,

we are very hopeful that X2Go issue #255 reported by you
has been resolved in the new release (4.0.1.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.1.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=dad4fcc24868504be24ccc9a3ab0fcac41859080;hp=1b4260f86a6fda01c5263fa3d27504677a3cdfac

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.1.1
Status: RELEASE
Date: Wed, 11 Sep 2013 12:06:02 +0200
Fixes: 141 142 151 164 165 177 179 183 214 222 226 243 255
Changes: 
 x2goclient (4.0.1.1) RELEASED; urgency=low
 .
   [ Nicolai Hansen ]
   * New upstream version (4.0.1.1):
     - Update Danish translation file.
 .
   [ Terje Andersen ]
   * New upstream version (4.0.1.1):
     - Update Norwegian Bokmaal translation file.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.1):
     - Use "127.0.0.1" instead of localhost to avoid wrong IPv6 hostname
       resolution. (Fixes: #151).
     - Wait for x2gocmdexitmessage to return before closing in hidden mode.
     - Support for published applications in X2Go Plugin
     - Support for "shadow" mode in X2Go Plugin
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.1):
     - If a priv SSH key has been specified, skip the autologin procedure.
       Let's consider a given SSH private key that fails to log the user
       in as an overall login failure. (Fixes: #141).
     - Avoid multiple selectUserSession requests when in broker
       mode.
     - Properly set the remote server address received via selectUserSession
       method when in broker mode. (Fixes: #226).
     - Fix segmentation fault that started occurring since the custom trayIcon
       patch was applied. Segfault only occurred if the tray icon was not used.
     - Show session name in notification bubbles.
     - Update German translation.
     - Add cmdline option --broker-autologoff: Enforce re-authentication against
       X2Go Session Broker after a session has been suspended or terminated.
       (Fixes: #179).
     - Enable full access desktop sharing across user accounts. (Fixes: #222).
     - Make X2Go Client aware of the MATE desktop environment.
     - Make X2Go Client work in SSH broker mode without the need of a auth-id
       file.
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.1.1):
     - Call ssh_clean_pubkey_hash() for deallocating public key hashes instead of
       just calling free(). Required under MS Windows as documented in libssh2
       API. (Fixes: #243). (For further details see:
       http://api.libssh.org/master/group__libssh__session.html).
   * Provide bin:package with debug symbols for X2Go Client. (Fixes: #255).
 .
   [ Ezra Bühler ]
   * New upstream version (4.0.1.1):
     - Fix auto-resume when session type is »Single Application«. (Fixes: #183).
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.1.1):
     - Fix detection of maximum screen area available for a session. (Fixes:
       #165).
     - Use the session icon as tray icon, pop up notification bubble that informs
       about current session actions. (Fixes: #177).
     - Allow for setting maximum available desktop size as window size via the
       session profile card. Unfortunately, this feature is for now only
       available on Linux. (Fixes: #214).
 .
   [ Otto Kjell ]
   * New upstream version (4.0.1.1):
     - Enable debug mode through cmd line parameter. (Fixes: #142).
     - Standardize output to stdout+stderr and make it parseable.
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.1):
     - Instead of using a hard-code DPI of 96, use local DPI settings for new
       sessions if not explicitly set in session profile (Fixes: #164).
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.1.1):
     - Update Swedish translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.1.1):
     - Update Spanish translation file.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 11 Sep 2013 10:18:13 GMT) (full text, mbox, link).


Notification sent to Heinrich Schuchardt <xypron.glpk@gmx.de>:
Bug acknowledged by developer. (Wed, 11 Sep 2013 10:18:13 GMT) (full text, mbox, link).


Message sent on to Heinrich Schuchardt <xypron.glpk@gmx.de>:
Bug#255. (Wed, 11 Sep 2013 10:18:20 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 10 Oct 2013 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Sep 16 02:33:18 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.